# Copyright: 2021-2023 Paul Obermeier (obermeier@poSoft.de)
# Distributed under BSD license.
 
proc _SetupPawtPkg { dir } {
    rename ::_SetupPawtPkg {}
    source [file join $dir pawtCore.tcl]
    source [file join $dir pawtParseFits.tcl]
    source [file join $dir pawtParseFlir.tcl]
    source [file join $dir pawtParsePpm.tcl]
    source [file join $dir pawtParseRaw.tcl]
    package provide pawt 1.1.3
}

if { ! [package vsatisfies [package provide Tcl] 8.6-] } {
    return
}

# All modules are exported as package pawt
package ifneeded pawt 1.1.3 [list _SetupPawtPkg $dir]
